Name:			PerceptualDiff
Version:		2.1
Release:    1%{?dist}
Summary:		An image comparison utility

License:		GPLv2+
URL:			https://github.com/myint/perceptualdiff
Source0:		%{url}/archive/v%{version}/perceptualdiff-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires: cmake
BuildRequires: freeimage-devel
BuildRequires: libtiff-devel
BuildRequires: libpng-devel

Provides: perceptualdiff = %{version}-%{release}


%description
PerceptualDiff is an image comparison utility that makes use of a 
computational model of the human visual system to compare two images.

This software is released under the GNU General Public License.

%prep
%autosetup -p1 -n perceptualdiff-%{version}


%build
%cmake \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}

%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}
find . -name libpdiff.so -exec mv {} %{buildroot}%{_libdir}/libpdiff.so ';'

%files
%doc README.rst
%license LICENSE
%{_bindir}/perceptualdiff
%{_libdir}/libpdiff.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-1
- initial build
